Subject: [PATCH v2 0/2] gpio-twl4030: add new device tree properties

From: [email-masked] (Benoit Cousson)
Date: Fri, 7 Sep 2012 10:55:43 +0200

On 09/06/2012 10:51 PM, Tony Lindgren wrote:
> * Benoit Cousson <[email-masked]> [120905 07:42]:
>> Hi Florian,
>>
>> On 09/05/2012 09:46 AM, Florian Vaussard wrote:
>>> Hello,
>>>
>>> A number of platform data are missing when using twl4030/gpio from a
>>> device tree. This patchset adds the missing properties, updates the 
>>> documentation with the new bindings, and updates existing device trees.
>>> It mainly enables LEDA and LEDB outputs, as well as pullups /
>>> pulldowns on GPIOs.
>>>
>>> The 1st patch changes the device driver and updates the documentation.
>>> The 2nd patch updates the device trees for BeagleBoard and omap3-evm.
>>>
>>> Changes since v1: 
>>> - Patches on driver and documentation merged into the same patch
>>> - Put device trees' values in hexadecimal
>>> - Handle bool property using of_property_read_bool()
>>> - Prefix the patches with the correct convention
>>
>> Thanks for the update.
>>
>>> Tested on Gumstix Overo. V1 was tested on omap3-evm by Vaibhav Hiremath.
>>
>> I've just tested it on beagle xM. I can play with D12 led using:
>>
>> echo 255 > /sys/class/leds/beagleboard\:\:pmu_stat/brightness
>>
>> Tested-by: Benoit Cousson <[email-masked]>
>>
>>
>>> BTW: who will merge this?
>>
>> Since Linus already acked it, Tony can merge it.
>>
>>
>> Tony,
>>
>> I can add that series in my DTS series for 3.7 if you want.
> 
> Yes please do thanks.

On top of that series, I realized that beagle was missing the other
LEDs. So I've just posted the support for the two missing ones.

[PATCH] ARM: dts: omap3-beagle: Add heartbeat and mmc LEDs support

Regards,
Benoit